Index: /branches/version-2_13-dev/data/class_extends/page_extends/mypage/LC_Page_Mypage_History_Ex.php
===================================================================
--- /branches/version-2_13-dev/data/class_extends/page_extends/mypage/LC_Page_Mypage_History_Ex.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class_extends/page_extends/mypage/LC_Page_Mypage_History_Ex.php	(revision 22926)
@@ -54,13 +54,3 @@
         parent::process();
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class_extends/page_extends/mypage/LC_Page_Mypage_Refusal_Ex.php
===================================================================
--- /branches/version-2_13-dev/data/class_extends/page_extends/mypage/LC_Page_Mypage_Refusal_Ex.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class_extends/page_extends/mypage/LC_Page_Mypage_Refusal_Ex.php	(revision 22926)
@@ -54,13 +54,3 @@
         parent::process();
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class_extends/page_extends/mypage/LC_Page_Mypage_Delivery_Ex.php
===================================================================
--- /branches/version-2_13-dev/data/class_extends/page_extends/mypage/LC_Page_Mypage_Delivery_Ex.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class_extends/page_extends/mypage/LC_Page_Mypage_Delivery_Ex.php	(revision 22926)
@@ -54,13 +54,3 @@
         parent::process();
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class_extends/page_extends/mypage/LC_Page_AbstractMypage_Ex.php
===================================================================
--- /branches/version-2_13-dev/data/class_extends/page_extends/mypage/LC_Page_AbstractMypage_Ex.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class_extends/page_extends/mypage/LC_Page_AbstractMypage_Ex.php	(revision 22926)
@@ -54,13 +54,3 @@
         parent::process();
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class_extends/page_extends/mypage/LC_Page_Mypage_HistoryDetail_Ex.php
===================================================================
--- /branches/version-2_13-dev/data/class_extends/page_extends/mypage/LC_Page_Mypage_HistoryDetail_Ex.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class_extends/page_extends/mypage/LC_Page_Mypage_HistoryDetail_Ex.php	(revision 22926)
@@ -54,13 +54,3 @@
         parent::process();
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class_extends/page_extends/mypage/LC_Page_Mypage_Change_Ex.php
===================================================================
--- /branches/version-2_13-dev/data/class_extends/page_extends/mypage/LC_Page_Mypage_Change_Ex.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class_extends/page_extends/mypage/LC_Page_Mypage_Change_Ex.php	(revision 22926)
@@ -54,13 +54,3 @@
         parent::process();
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class/SC_Response.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_Response.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/SC_Response.php	(revision 22926)
@@ -88,6 +88,6 @@
     /**
      * アプリケーションのexit処理をする。以降の出力は基本的に停止する。
-     * 各クラス内部で勝手にexitするな！
-    */
+     * 各クラス内では、exit を直接呼び出さない。
+     */
     function actionExit()
     {
@@ -108,5 +108,5 @@
 
         exit;
-        // exitしてますが、実際は、LC_Page::destroy() が呼ばれるはず
+        // デストラクタが実行される。
     }
 
Index: /branches/version-2_13-dev/data/class/helper/SC_Helper_HandleError.php
===================================================================
--- /branches/version-2_13-dev/data/class/helper/SC_Helper_HandleError.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/helper/SC_Helper_HandleError.php	(revision 22926)
@@ -212,5 +212,4 @@
         require_once CLASS_EX_REALDIR . 'page_extends/error/LC_Page_Error_SystemError_Ex.php';
         $objPage = new LC_Page_Error_SystemError_Ex();
-        register_shutdown_function(array($objPage, 'destroy'));
         $objPage->init();
         if (isset($errstr)) {
Index: /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_Review.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_Review.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_Review.php	(revision 22926)
@@ -126,14 +126,4 @@
 
     /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
-
-    /**
      * パラメーター情報の初期化を行う.
      *
Index: /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 22924)
+++ /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 22926)
@@ -237,15 +237,4 @@
             $this->is_favorite = SC_Helper_DB_Ex::sfDataExists('dtb_customer_favorite_products', 'customer_id = ? AND product_id = ?', array($objCustomer->getValue('customer_id'), $product_id));
         }
-
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
     }
 
Index: /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_Search.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_Search.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_Search.php	(revision 22926)
@@ -63,13 +63,3 @@
     {
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_CategoryList.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_CategoryList.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_CategoryList.php	(revision 22926)
@@ -70,14 +70,4 @@
         $this->arrChildren = $arrCategoryData['arrChildren'];
         $this->tpl_subtitle = $this->arrCategory['category_name'];
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
     }
 
Index: /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_ReviewComplete.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_ReviewComplete.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_ReviewComplete.php	(revision 22926)
@@ -64,13 +64,3 @@
         $this->setTemplate('products/review_complete.tpl');
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 22920)
+++ /branches/version-2_13-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 22926)
@@ -152,14 +152,4 @@
 
         $this->tpl_rnd = SC_Utils_Ex::sfGetRandomString(3);
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
     }
 
Index: /branches/version-2_13-dev/data/class/pages/LC_Page_ResizeImage.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/LC_Page_ResizeImage.php	(revision 22917)
+++ /branches/version-2_13-dev/data/class/pages/LC_Page_ResizeImage.php	(revision 22926)
@@ -83,14 +83,4 @@
     }
 
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
-
     function lfInitParam(&$objFormParam)
     {
Index: /branches/version-2_13-dev/data/class/pages/LC_Page_Index.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/LC_Page_Index.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/LC_Page_Index.php	(revision 22926)
@@ -66,13 +66,3 @@
         $this->isLogin = $objCustomer->isLoginSuccess(true);
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class/pages/rss/LC_Page_Rss.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/rss/LC_Page_Rss.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/rss/LC_Page_Rss.php	(revision 22926)
@@ -81,14 +81,4 @@
 
     /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
-
-    /**
      * 新着情報を取得する
      *
Index: /branches/version-2_13-dev/data/class/pages/rss/LC_Page_Rss_Products.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/rss/LC_Page_Rss_Products.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/rss/LC_Page_Rss_Products.php	(revision 22926)
@@ -114,14 +114,4 @@
         //画面表示
         $objView->display($this->tpl_mainpage, true);
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
     }
 
Index: /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api_Php.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api_Php.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api_Php.php	(revision 22926)
@@ -68,13 +68,3 @@
         SC_Response_Ex::actionExit();
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api_Json.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api_Json.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api_Json.php	(revision 22926)
@@ -68,13 +68,3 @@
         SC_Response_Ex::actionExit();
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api.php	(revision 22926)
@@ -68,13 +68,3 @@
         SC_Response_Ex::actionExit();
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api_Xml.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api_Xml.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/api/LC_Page_Api_Xml.php	(revision 22926)
@@ -68,13 +68,3 @@
         SC_Response_Ex::actionExit();
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class/pages/order/LC_Page_Order.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/order/LC_Page_Order.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/order/LC_Page_Order.php	(revision 22926)
@@ -69,13 +69,3 @@
         $this->arrOrder = $objDb->sfGetBasisData();
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class/pages/LC_Page.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/LC_Page.php	(revision 22924)
+++ /branches/version-2_13-dev/data/class/pages/LC_Page.php	(revision 22926)
@@ -168,9 +168,10 @@
 
     /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
+     * デストラクタ
+     *
+     * ・ブロックの基底クラス (LC_Page_FrontParts_Bloc) では、継承していない。
+     * @return void
+     */
+    function __destruct()
     {
         // 一定時間以上かかったページの場合、ログ出力する。
Index: /branches/version-2_13-dev/data/class/pages/preview/LC_Page_Preview.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/preview/LC_Page_Preview.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/preview/LC_Page_Preview.php	(revision 22926)
@@ -70,13 +70,3 @@
         SC_Utils_Ex::sfDispSiteError(PAGE_ERROR);
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class/pages/LC_Page_InputZip.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/LC_Page_InputZip.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/LC_Page_InputZip.php	(revision 22926)
@@ -84,14 +84,4 @@
 
     /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
-
-    /**
      * 入力エラーのチェック.
      *
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_MailView.php	(revision 22926)
@@ -95,14 +95,4 @@
 
     /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
-
-    /**
      * GETで指定された受注idのメール送信内容を返す
      *
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_ChangeComplete.php	(revision 22926)
@@ -63,13 +63,3 @@
     {
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 22926)
@@ -153,14 +153,4 @@
     }
 
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
-
     /* 登録実行 */
     function lfRegistData($objAddress, $objFormParam, $customer_id)
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 22926)
@@ -102,14 +102,4 @@
 
     /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
-
-    /**
      * お気に入りを取得する
      *
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 22926)
@@ -105,14 +105,4 @@
 
     /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
-
-    /**
      * 受注履歴を返す
      *
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_History.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 22926)
@@ -113,14 +113,4 @@
 
     /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
-
-    /**
      * 受注メール送信履歴の取得
      *
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php	(revision 22926)
@@ -82,14 +82,4 @@
 
     /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
-
-    /**
      * 会員情報を削除する
      *
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 22926)
@@ -115,14 +115,4 @@
 
     /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
-
-    /**
      * フォームパラメータの初期化
      *
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_AbstractMypage.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_AbstractMypage.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_AbstractMypage.php	(revision 22926)
@@ -92,13 +92,3 @@
         $this->sendResponse();
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 22926)
@@ -158,14 +158,4 @@
 
     /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
-
-    /**
      *  会員情報を登録する
      *
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_DownLoad.php	(revision 22926)
@@ -361,13 +361,3 @@
         fclose($handle);
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Login.php	(revision 22926)
@@ -63,13 +63,3 @@
         SC_Response_Ex::sendRedirect(DIR_INDEX_PATH);
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_RefusalComplete.php	(revision 22926)
@@ -73,13 +73,3 @@
     {
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/mypage/LC_Page_Mypage_Order.php	(revision 22926)
@@ -72,14 +72,4 @@
     }
 
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
-
     // 受注詳細データの取得
     function lfGetOrderDetail($order_id)
Index: /branches/version-2_13-dev/data/class/pages/upgrade/LC_Page_Upgrade_SiteCheck.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/upgrade/LC_Page_Upgrade_SiteCheck.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/upgrade/LC_Page_Upgrade_SiteCheck.php	(revision 22926)
@@ -73,9 +73,10 @@
 
     /**
-     * デストラクタ.
+     * デストラクタ
      *
+     * XXX 旧実装が親クラスのデストラクタを呼んでいなかったので、その仕様を維持している。
      * @return void
      */
-    function destroy()
+    function __destruct()
     {
     }
Index: /branches/version-2_13-dev/data/class/pages/upgrade/LC_Page_Upgrade_Download.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/upgrade/LC_Page_Upgrade_Download.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/upgrade/LC_Page_Upgrade_Download.php	(revision 22926)
@@ -236,14 +236,4 @@
             return;
         }
-    }
-
-    /**
-     * デストラクタ
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
     }
 
Index: /branches/version-2_13-dev/data/class/pages/upgrade/LC_Page_Upgrade_ProductsList.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/upgrade/LC_Page_Upgrade_ProductsList.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/upgrade/LC_Page_Upgrade_ProductsList.php	(revision 22926)
@@ -149,13 +149,3 @@
         }
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 22926)
@@ -184,14 +184,4 @@
 
     /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
-
-    /**
      * パラメーター情報の初期化を行う.
      *
Index: /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_LoadPaymentModule.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_LoadPaymentModule.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_LoadPaymentModule.php	(revision 22926)
@@ -66,14 +66,4 @@
         }
         require_once $module_path;
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
     }
 
Index: /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_Complete.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_Complete.php	(revision 22868)
+++ /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_Complete.php	(revision 22926)
@@ -69,14 +69,4 @@
 
     /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
-
-    /**
      * 決済モジュールから遷移する場合があるため, トークンチェックしない.
      */
Index: /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 22926)
@@ -112,14 +112,4 @@
         }
         $this->arrForm = $objFormParam->getFormParamList();
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
     }
 
Index: /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 22926)
@@ -170,13 +170,3 @@
 
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 22926)
@@ -235,14 +235,4 @@
 
     /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
-
-    /**
      * パラメーターの初期化を行い, 初期値を設定する.
      *
Index: /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 22889)
+++ /branches/version-2_13-dev/data/class/pages/shopping/LC_Page_Shopping.php	(revision 22926)
@@ -264,14 +264,4 @@
         }
 
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
     }
 
Index: /branches/version-2_13-dev/data/class/pages/unsupported/LC_Page_Unsupported.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/unsupported/LC_Page_Unsupported.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/unsupported/LC_Page_Unsupported.php	(revision 22926)
@@ -59,13 +59,3 @@
     {
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class/pages/admin/LC_Page_Admin_Home.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 22926)
@@ -102,14 +102,4 @@
         // お知らせ一覧の取得
         $this->arrInfo = $this->lfGetInfo();
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
     }
 
Index: /branches/version-2_13-dev/data/class/pages/admin/LC_Page_Admin_Logout.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/admin/LC_Page_Admin_Logout.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/admin/LC_Page_Admin_Logout.php	(revision 22926)
@@ -76,13 +76,3 @@
         $objSess->logout();
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
Index: /branches/version-2_13-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tax.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tax.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tax.php	(revision 22926)
@@ -160,14 +160,4 @@
 
     /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
-
-    /**
      * パラメーター情報の初期化を行う.
      *
Index: /branches/version-2_13-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Kiyaku.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Kiyaku.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Kiyaku.php	(revision 22926)
@@ -142,14 +142,4 @@
 
     /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
-
-    /**
      * 登録処理を実行.
      *
Index: /branches/version-2_13-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php
===================================================================
--- /branches/version-2_13-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Payment.php	(revision 22926)
@@ -105,13 +105,3 @@
         $this->arrPaymentListFree = $objPayment->getList();
     }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy()
-    {
-        parent::destroy();
-    }
 }
